<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:enidoc="http://administracionelectronica.gob.es/ENI/XSD/v1.0/documento-e" xmlns:estadoDocRes="http://rcp/ServiciosWebAnotacionesRCP/EstadoDocumento/Respuesta" targetNamespace="http://rcp/ServiciosWebAnotacionesRCP/EstadoDocumento/Respuesta" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://administracionelectronica.gob.es/ENI/XSD/v1.0/documento-e" schemaLocation="ServiciosWebAnotacionesRCP?xsd=documentoEni.xsd"/>
	<xsd:element name="datosEstadoDocRes">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="estadoDocRes:estadoDoc"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name="estadoDoc">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="ticketDocumento" type="xsd:string"/>
				<xsd:element name="cdestadoDoc" type="xsd:string"/>
				<xsd:element name="dsestadoDoc" type="xsd:string"/>
				<xsd:element ref="estadoDocRes:detalleEstadoDoc" minOccurs="0"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name="detalleEstadoDoc">
		<xsd:complexType>
			<xsd:choice>
				<xsd:element ref="estadoDocRes:estadoDocDisponible"/>
				<xsd:element ref="estadoDocRes:estadoDocRechazado"/>
			</xsd:choice>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name="estadoDocDisponible">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="csvDoc" type="xsd:string"/>
				<xsd:element ref="estadoDocRes:infoDocumento" minOccurs="0"/>
				<xsd:element ref="enidoc:documento"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name="estadoDocRechazado">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="dsmotivoRechazoDoc" type="xsd:string"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name="infoDocumento">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="cdinfoDoc" type="xsd:string"/>
				<xsd:element name="dsinfoDoc" type="xsd:string"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>
